[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.RealGetText

Returns the Caption property.

## Declaration

Source position: controls.pp line 1512

`protected function TControl.RealGetText: TCaption; virtual;`

## Function result

Value for the Caption property.

## Description

This method is called by GetText, when GetTextBuf has not been overridden.

## See also

TControl.GetTextBuf |  | Copy the Text property into Buffer.
TControl.RealSetText |  | Sets the value for the Caption property.
TControl.SetTextBuf |  | Updates the Text property from a PChar buffer.